Saved views
GET https://hootmaps.com/api/dashboard-views/
curl --request GET \
--url 'https://hootmaps.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | |
| search | Facultatif Chaîne | La chaîne de recherche |
| search_by | Facultatif Chaîne | Dans quel champ effectuez-vous la recherche. Les valeurs autorisées sont : name |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facultatif Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facultatif Chaîne | Quel champ utiliser pour trier les résultats. Les valeurs autorisées sont : dashboard_view_id, website_id, user_id, name, datetime, last_datetime |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. La valeur par défaut est 1 |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-13 06:05:05",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://hootmaps.com/api/dashboard-views?page=1",
"last": "https://hootmaps.com/api/dashboard-views?page=1",
"next": null,
"prev": null,
"self": "https://hootmaps.com/api/dashboard-views?page=1"
}
}
GET https://hootmaps.com/api/dashboard-views/{dashboard_view_id}
curl --request GET \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-13 06:05:05",
"last_datetime": null
}
}
POST https://hootmaps.com/api/dashboard-views
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | - |
| name | Requis Chaîne | - |
| filters | Requis Chaîne | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://hootmaps.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://hootmaps.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-13 06:05:05",
"last_datetime": null
}
}
POST https://hootmaps.com/api/dashboard-views/{dashboard_view_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | - |
| name | Facultatif Chaîne | - |
| filters | Facultatif Chaîne | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-13 06:05:05",
"last_datetime": "2026-09-13 06:05:05"
}
}
DELETE https://hootmaps.com/api/dashboard-views/{dashboard_view_id}
curl --request DELETE \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \